Vsan Io Insight Manager Query Io Insight Instances

Vsan Io Insight Manager Query Io Insight Instances
Retrieve all ioinsight instances *VsanIoInsightInstance* according to the passed in parameters.

Retrieve all ioinsight instances VsanIoInsightInstance according to the passed in parameters.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanIoInsightManager/{moId}/QueryIoInsightInstances
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanIoInsightManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryIoInsightInstancesRequestType of type(s) application/json
Required

Show optional properties

{
    "querySpec": {}
}
{
    "querySpec": {
        "_typeName": "string",
        "state": "string",
        "entityRefId": "string"
    },
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
querySpec
Required

Describe specifications for the query operation.

cluster
Optional

The target cluster where the ioinsight instances belong to. This parameter is ignored while the API is called against host.

Required privileges: Global.Diagnostics

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "runName": "string",
        "state": "string",
        "startTime": "string",
        "endTime": "string",
        "hostsIoInsightInfo": [
            {
                "_typeName": "string",
                "host": {
                    "_typeName": "string",
                    "type": "string",
                    "value": "string"
                },
                "ioinsightWorldId": 0,
                "faultMessage": "string",
                "ioinsightInfo": {
                    "_typeName": "string",
                    "state": "string",
                    "monitoredVMs": [
                        {
                            "_typeName": "string",
                            "type": "string",
                            "value": "string"
                        }
                    ]
                }
            }
        ],
        "hostUuids": [
            "string"
        ],
        "vmUuids": [
            "string"
        ]
    }
]
array of object
Optional

This data object describes a set of information related to one time ioinsight execution, which includes ioinsight run name, state(running or stopped), execution time range and a list of ioinsight information along with the host.

This structure may be used only with operations rendered under /vsan.


500

InvalidArgument: If any argument passed to the function is not specified correctly.

NotSupported: If the API is not supported by the called host.

VsanFault: If any other unexpected fault is encountered.

NotFound: If the stats primary node is not found in target cluster.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"querySpec":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanIoInsightManager/{moId}/QueryIoInsightInstances